%define api		0.2
%define major		2
%define girmajor	0.2
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		farstream
Version:	0.2.3
Release:	%mkrel 3
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:	http://freedesktop.org/software/farstream/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(nice) >= 0.1.3
BuildRequires:	gobject-introspection-devel
# Obsolete old src pkg
Obsoletes:	farstream0.2 < 0.2.3-2

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n	gstreamer1.0-%{name}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		Sound/Utilities
Requires:	%{libname} = %{version}-%{release}

%description -n gstreamer1.0-%{name}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n %{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}farstream%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}farstream0.2-devel < 0.2.3-2

%description -n %{develname}
Headers of %{name} for development.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gupnp \
	--with-package-name="%{_vendor} %{name}" \
	--with-package-origin="http://www.%{_real_vendor}.org"
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*
%{_libdir}/%{name}-%{api}/*.so

%files -n gstreamer1.0-%{name}
%{_libdir}/gstreamer-1.0/*.so
%dir %{_datadir}/%{name}/%{api}/
%{_datadir}/%{name}/%{api}/*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}-libs-1.0
%doc %{_datadir}/gtk-doc/html/%{name}-plugins-%{api}/
%{_includedir}/%{name}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 529192
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 0.2.3-2.mga4
+ Revision: 450828
- rename source pkg as farstream

* Sat Jul 06 2013 luigiwalser <luigiwalser> 0.2.3-1.mga4
+ Revision: 450791
- 0.2.3

* Fri Jan 11 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 350057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 333295
- br gir
- update file list
- imported package farstream0.2

